"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CONTEXT_READMETADATA = exports.CONTEXT_SKIPTELEMETRY = exports.CONTEXT_WAITFORELEMENTSTOBEINDOM = exports.CONTEXT_ELEMENTATTRIBUTES = exports.CONTEXT_GETTIMERANGE = exports.CONTEXT_WAITFORRENDER = exports.CONTEXT_INJECTCSS = exports.CONTEXT_GETNUMBEROFITEMS = exports.DEFAULT_PAGELOAD_SELECTOR = void 0;
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

const DEFAULT_PAGELOAD_SELECTOR = '.application';
exports.DEFAULT_PAGELOAD_SELECTOR = DEFAULT_PAGELOAD_SELECTOR;
const CONTEXT_GETNUMBEROFITEMS = 'GetNumberOfItems';
exports.CONTEXT_GETNUMBEROFITEMS = CONTEXT_GETNUMBEROFITEMS;
const CONTEXT_INJECTCSS = 'InjectCss';
exports.CONTEXT_INJECTCSS = CONTEXT_INJECTCSS;
const CONTEXT_WAITFORRENDER = 'WaitForRender';
exports.CONTEXT_WAITFORRENDER = CONTEXT_WAITFORRENDER;
const CONTEXT_GETTIMERANGE = 'GetTimeRange';
exports.CONTEXT_GETTIMERANGE = CONTEXT_GETTIMERANGE;
const CONTEXT_ELEMENTATTRIBUTES = 'ElementPositionAndAttributes';
exports.CONTEXT_ELEMENTATTRIBUTES = CONTEXT_ELEMENTATTRIBUTES;
const CONTEXT_WAITFORELEMENTSTOBEINDOM = 'WaitForElementsToBeInDOM';
exports.CONTEXT_WAITFORELEMENTSTOBEINDOM = CONTEXT_WAITFORELEMENTSTOBEINDOM;
const CONTEXT_SKIPTELEMETRY = 'SkipTelemetry';
exports.CONTEXT_SKIPTELEMETRY = CONTEXT_SKIPTELEMETRY;
const CONTEXT_READMETADATA = 'ReadVisualizationsMetadata';
exports.CONTEXT_READMETADATA = CONTEXT_READMETADATA;